nfs-utils (1:2.9.1-1ubuntu1) stonking; urgency=medium

  * Merge with Debian unstable (LP: #2153341). Remaining changes:
    - d/control: don't provide libnfsidmap2 in libnfsidmap1. This
      package contains not only plugins, but an actual shared library,
      with a different soname.
    - Update README file:
      + d/README.Ubuntu: new /etc/nfs.conf config structure
      + d/libnfsidmap1.docs, d/nfs-common.docs: install README.Ubuntu
    - New apport hook (LP #1961058):
      + d/source.apport: apport hook for nfs-utils
      + d/control: build-depend dh-apport
      + d/rules: build with apport, and install the hook in the
        nfs-common package which is installed on both client and servers
    - Move the regex module to a separate binary package libnfsidmap-regex
      (LP #1974067):
      + d/control: new package, adjust breaks/conflicts
      + d/libnfsidmap-regex.install: install the plugin file
      + d/libnfsidmap1.install: don't install regex.so
      + d/p/ubuntu-idmapd-manpage-update-regex-other-package.patch:
        note that the regex plugin is in another package
    - rpc.svcgssd fixes and improvements (LP #1977745):
      + d/p/nfs-conf-manpage-missing-svcgssd-options.patch: also
        document the missing svcgssd options to the nfs.conf(5) manpage
    - d/not-installed: mark files we knowingly don't include in the
      packaging

 -- Zineb Zaadoud <zineb.zaadoud@canonical.com>  Sun, 07 Jun 2026 22:24:07 +0200

nfs-utils (1:2.9.1-1) unstable; urgency=medium

  * New upstream version 2.9.1
  * debian/copyright: Update notice for support/nfs/fh_key_file.c addition
  * debian/nfs.conf: Sync base version with upstream's nfs.conf
  * Declare compliance with Debian policy 4.7.4

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 10 Apr 2026 14:40:51 +0200

nfs-utils (1:2.8.7-1) unstable; urgency=medium

  * New upstream version 2.8.7
    - nfsrahead: zero-initialise device_info struct (Closes: #1130346)

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 13 Mar 2026 17:48:49 +0100

nfs-utils (1:2.8.6-1) unstable; urgency=medium

  * New upstream version 2.8.6
    - Fix access checks when mounting subdirectories in NFSv3 (CVE-2025-12801)
    - gssd: add a helper to determine the set of encryption types to pass to
      limit_krb5_enctypes() (Closes: #1120598)
  * debian/nfs.conf: Sync base version with upstream's nfs.conf
  * debian/control: Add Build-Depends on rpcsvc-proto (Closes: #1130099)

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 09 Mar 2026 12:22:47 +0100

nfs-utils (1:2.8.5-1ubuntu1) resolute; urgency=medium

  * Merge with Debian unstable (LP: #2142044). Remaining changes:
    - d/control: don't provide libnfsidmap2 in libnfsidmap1. This
      package contains not only plugins, but an actual shared library,
      with a different soname.
    - Update README file:
      + d/README.Ubuntu: new /etc/nfs.conf config structure
      + d/libnfsidmap1.docs, d/nfs-common.docs: install README.Ubuntu
    - New apport hook (LP #1961058):
      + d/source.apport: apport hook for nfs-utils
      + d/control: build-depend dh-apport
      + d/rules: build with apport, and install the hook in the
        nfs-common package which is installed on both client and servers
    - Move the regex module to a separate binary package libnfsidmap-regex
      (LP #1974067):
      + d/control: new package, adjust breaks/conflicts
      + d/libnfsidmap-regex.install: install the plugin file
      + d/libnfsidmap1.install: don't install regex.so
      + d/p/ubuntu-idmapd-manpage-update-regex-other-package.patch:
        note that the regex plugin is in another package
    - rpc.svcgssd fixes and improvements (LP #1977745):
      + d/p/nfs-conf-manpage-missing-svcgssd-options.patch: also
        document the missing svcgssd options to the nfs.conf(5) manpage
    - d/not-installed: mark files we knowingly don't include in the
      packaging

 -- John Chittum <john.chittum@canonical.com>  Tue, 17 Feb 2026 12:03:57 -0500

nfs-utils (1:2.8.5-1) unstable; urgency=medium

  * New upstream version 2.8.5

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 16 Feb 2026 14:50:41 +0100

nfs-utils (1:2.8.4-2) unstable; urgency=medium

  * Rename CONFIG_NFSV41 to CONFIG_BLKMAPD and disable by default
  * Drop installation of blkmapd and nfs-blkmap.service systemd service
    (Closes: #1009106)
  * Stop nfs-blkmap.service on upgrades for removal of blkmapd
  * nfs-common: Add NEWS entry for removal of blkmapd and nfs-blkmap.service
  * debian/control: Remove "Priority: optional" (default)
  * Declare compliance with Debian policy 4.7.3

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 16 Feb 2026 05:41:27 +0100

nfs-utils (1:2.8.4-1ubuntu1) resolute; urgency=medium

  * Merge with Debian unstable. (LP: #2130126) Remaining changes:
    - d/control: don't provide libnfsidmap2 in libnfsidmap1. This
      package contains not only plugins, but an actual shared library,
      with a different soname.
    - Update README file:
      + d/README.Ubuntu: new /etc/nfs.conf config structure
      + d/libnfsidmap1.docs, d/nfs-common.docs: install README.Ubuntu
    - New apport hook (LP #1961058):
      + d/source.apport: apport hook for nfs-utils
      + d/control: build-depend dh-apport
      + d/rules: build with apport, and install the hook in the
        nfs-common package which is installed on both client and servers
    - Move the regex module to a separate binary package libnfsidmap-regex
      (LP #1974067):
      + d/control: new package, adjust breaks/conflicts
      + d/libnfsidmap-regex.install: install the plugin file
      + d/libnfsidmap1.install: don't install regex.so
      + d/p/ubuntu-idmapd-manpage-update-regex-other-package.patch:
        note that the regex plugin is in another package
    - rpc.svcgssd fixes and improvements (LP #1977745):
      + d/p/nfs-conf-manpage-missing-svcgssd-options.patch: also
        document the missing svcgssd options to the nfs.conf(5) manpage
    - d/not-installed: mark files we knowingly don't include in the
      packaging
  * Dropped Changes:
    - Fix FTBFS with glibc 2.42 (LP #2122270)

 -- John Chittum <john.chittum@canonical.com>  Tue, 02 Dec 2025 14:55:04 -0500

nfs-utils (1:2.8.4-1) unstable; urgency=medium

  * New upstream version 2.8.4

  [ Ben Hutchings ]
  * d/salsa-ci.yml: Remove obsolete lintian error suppressions

  [ Salvatore Bonaccorso ]
  * debian/watch: Convert to uscan version 5
  * nfs-common: Install nfsroot-generator into system-generators

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 14 Sep 2025 15:41:13 +0200

nfs-utils (1:2.8.3-1ubuntu3) questing; urgency=medium

  * Fix FTBFS with glibc 2.42 (LP: #2122270)

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Sun, 07 Sep 2025 10:50:39 +0200

nfs-utils (1:2.8.3-1ubuntu2) questing; urgency=medium

  * Rebuild to include updated RISC-V base ISA RVA23

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Sat, 06 Sep 2025 14:17:52 +0000

nfs-utils (1:2.8.3-1ubuntu1) questing; urgency=medium

  * Merge with Debian unstable (LP: #2112047).
    Nothing of note in this merge, very straightforward rebase.
    Remaining changes:
    - d/control: don't provide libnfsidmap2 in libnfsidmap1. This
      package contains not only plugins, but an actual shared library,
      with a different soname.
    - Update README file:
      + d/README.Ubuntu: new /etc/nfs.conf config structure
      + d/libnfsidmap1.docs, d/nfs-common.docs: install README.Ubuntu
    - New apport hook (LP #1961058):
      + d/source.apport: apport hook for nfs-utils
      + d/control: build-depend dh-apport
      + d/rules: build with apport, and install the hook in the
        nfs-common package which is installed on both client and servers
    - Move the regex module to a separate binary package libnfsidmap-regex
      (LP #1974067):
      + d/control: new package, adjust breaks/conflicts
      + d/libnfsidmap-regex.install: install the plugin file
      + d/libnfsidmap1.install: don't install regex.so
      + d/p/ubuntu-idmapd-manpage-update-regex-other-package.patch:
        note that the regex plugin is in another package
    - rpc.svcgssd fixes and improvements (LP #1977745):
      + d/p/nfs-conf-manpage-missing-svcgssd-options.patch: also
        document the missing svcgssd options to the nfs.conf(5) manpage
    - d/not-installed: mark files we knowingly don't include in the
      packaging

 -- Florent 'Skia' Jacquet <florent.jacquet@canonical.com>  Mon, 30 Jun 2025 16:00:10 +0200

nfs-utils (1:2.8.3-1) unstable; urgency=medium

  * Upload to unstable

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 31 Mar 2025 20:13:33 +0200

nfs-utils (1:2.8.3-1~exp1) experimental; urgency=medium

  * New upstream version 2.8.3
  * debian/nfs.conf: Sync base version with upstream's nfs.conf
  * Declare compliance with Debian policy 4.7.2

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 31 Mar 2025 19:16:49 +0200

nfs-utils (1:2.8.2-3) unstable; urgency=medium

  * Patch for broken libnfsimapd static and regex plugins. (Closes: #1098431)
  * Declare compliance with Debian policy 4.7.1

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 20 Feb 2025 21:41:30 +0100

nfs-utils (1:2.8.2-2ubuntu2) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 20 May 2025 12:24:11 +0200

nfs-utils (1:2.8.2-2ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable (LP: #2098870). Remaining changes:
    - d/control: don't provide libnfsidmap2 in libnfsidmap1. This package
      contains not only plugins, but an actual shared library, with a
      different soname.
    - Update README file:
      - d/README.Ubuntu: new /etc/nfs.conf config structure
      - d/libnfsidmap1.docs, d/nfs-common.docs: install README.Ubuntu
    - New apport hook:
      - d/source.apport: apport hook for nfs-utils
      - d/control: build-depend dh-apport
      - d/rules: build with apport, and install the hook in the nfs-common
        package which is installed on both client and servers
    - Move the regex module to a separate binary package libnfsidmap-regex :
      - d/control: new package, adjust breaks/conflicts
      - d/libnfsidmap-regex.install: install the plugin file
      - d/libnfsidmap1.install: don't install regex.so
      - d/p/ubuntu-idmapd-manpage-update-regex-other-package.patch: note that
        the regex plugin is in another package
    - rpc.svcgssd fixes and improvements:
      - d/p/nfs-conf-manpage-missing-svcgssd-options.patch: also document the
        missing svcgssd options to the nfs.conf(5) manpage
    - d/not-installed: mark files we knowingly don't include in the packaging
  * Removed patches obsoleted/merged by upstream:
    - Add more DEP8 tests:
      + d/t/{control,kerberos-mount,util}: test NFSv4 krb5p mounts
      + d/t/{control, v3-mount}: specific NFSv3 mount test

 -- Dave Jones <dave.jones@canonical.com>  Wed, 19 Feb 2025 16:30:13 +0000

nfs-utils (1:2.8.2-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Mitigate file loss in concurrent canonicalization and move between
    packages. (DEP17 P1 M8, Closes: #1095202)

  [ Salvatore Bonaccorso ]
  * Upload to unstable

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 05 Feb 2025 16:35:13 +0100

nfs-utils (1:2.8.2-2~exp1) experimental; urgency=medium

  * Move nfs-blkmap.service to nfs-common package.
    Add Replaces and Breaks relation for nfs-common package on the
    nfs-kernel-server package with (<< 1:2.8.2-2~exp1~) constraints to
    properly take over the nfs-blkmap.service service file.
    (Closes: #1072611)
  * debian/control: Remove Steve Langasek from Uploaders

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 03 Feb 2025 18:47:52 +0100

nfs-utils (1:2.8.2-1) unstable; urgency=medium

  * New upstream version 2.8.2
  * debian/nfs.conf: Sync default for nfsd threads with upstream to 16
  * nfs-kernel-server: Don't install anymore nfsdcltrack

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 11 Dec 2024 10:23:29 +0100

nfs-utils (1:2.8.1-2) unstable; urgency=medium

  * exports: Fix referrals when --enable-junction=no
    (Closes: #1083098, #1035908)

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 09 Dec 2024 19:12:25 +0100

nfs-utils (1:2.8.1-1) unstable; urgency=medium

  * Prepare for upload to unstable

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 26 Oct 2024 13:33:28 +0200

nfs-utils (1:2.8.1-1~exp1) experimental; urgency=medium

  * New upstream version 2.8.1
  * debian/control: Add Build-Depends on libnl-3-dev, libnl-genl-3-dev,
    libreadline-dev
  * nfs-kernel-server: Install nfsdctl utility and nfsdctl(8) manpage

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 19 Oct 2024 22:21:31 +0200

nfs-utils (1:2.7.1-3) unstable; urgency=medium

  * rpc.idmapd: nfsopen() failures should not be fatal (Closes: #1072573)

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 20 Sep 2024 20:36:56 +0200

nfs-utils (1:2.7.1-2) unstable; urgency=medium

  * d/control: nfs-common: Move python3 to Recommends (Closes: #1013868)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 14 Sep 2024 10:13:35 +0200

nfs-utils (1:2.7.1-1) unstable; urgency=medium

  * Prepare for upload to unstable

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 31 Aug 2024 15:54:43 +0200

nfs-utils (1:2.7.1-1~exp1) experimental; urgency=medium

  * New upstream version 2.7.1 (Closes: #1077023)
  * debian/nfs.conf: Sync base version with upstream's nfs.conf

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 26 Aug 2024 22:12:44 +0200

nfs-utils (1:2.6.4-6) unstable; urgency=medium

  [ Andreas Hasenack ]
  * d/t/{control,kerberos-mount,util}: test NFSv4 krb5p mounts
  * d/t/{control, v3-mount}: specific NFSv3 mount test
  * kerberos-mount: improve cleanup()
  * v3-mount: improve cleanup()
  * d/t/util: remove shebang
  * d/t/util: remove unused die() function

  [ Ben Hutchings ]
  * Stop shipping /var/lib/nfs/{etab,rmtab,state} (Closes: #1074359)
  * Preserve /var/lib/nfs/{etab,rmtab,state} on upgrade from old version
  * nfs-kernel-server: Don't remove /var/lib/nfs/{etab,rmtab} in a failed
    upgrade
  * nfs-common: Remove /var/lib/nfs/{sm,sm.bak,state} in unusual removal cases

  [ Salvatore Bonaccorso ]
  * debian/control: Replace Build-Depends on pkg-config with pkgconf

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 25 Aug 2024 20:48:59 +0200

nfs-utils (1:2.6.4-5) unstable; urgency=medium

  * Add missing #include <stddef.h> (Closes: #1073818)
  * Declare compliance with Debian policy 4.7.0

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 22 Jun 2024 11:50:22 +0200

nfs-utils (1:2.6.4-4ubuntu1) oracular; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - d/control: don't provide libnfsidmap2 in libnfsidmap1. This
      package contains not only plugins, but an actual shared library,
      with a different soname.
    - Update README file:
      + d/README.Ubuntu: new /etc/nfs.conf config structure
      + d/libnfsidmap1.docs, d/nfs-common.docs: install README.Ubuntu
    - New apport hook:
      + d/source.apport: apport hook for nfs-utils
      + d/control: build-depend dh-apport
      + d/rules: build with apport, and install the hook in the
        nfs-common package which is installed on both client and servers
    - Add more DEP8 tests:
      + d/t/{control,kerberos-mount,util}: test NFSv4 krb5p mounts
      + d/t/{control, v3-mount}: specific NFSv3 mount test
    - Move the regex module to a separate binary package libnfsidmap-regex:
      + d/control: new package, adjust breaks/conflicts
      + d/libnfsidmap-regex.install: install the plugin file
      + d/libnfsidmap1.install: don't install regex.so
        [missed in previous d/changelog]
      + d/p/ubuntu-idmapd-manpage-update-regex-other-package.patch:
        note that the regex plugin is in another package
    - rpc.svcgssd fixes and improvements:
      + d/p/nfs-conf-manpage-missing-svcgssd-options.patch: also
        document the missing svcgssd options to the nfs.conf(5) manpage
    - d/not-installed: mark files we knowingly don't include in the
      packaging
  * Dropped changes, included in Debian:
    - d/p/armhf-time-t-format-error.patch: resolve armhf ftbfs due to
      time_t transition.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 06 Jun 2024 21:55:18 -0700

nfs-utils (1:2.6.4-4) unstable; urgency=medium

  * junction: export-cache: cast to a type with a known size to ensure sprintf
    works (Closes: #1067829)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 07 Apr 2024 07:01:47 +0200

nfs-utils (1:2.6.4-3ubuntu5) noble; urgency=medium

  * No-change rebuild against libevent-core-2.1-7t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 07 Apr 2024 02:44:50 +0000

nfs-utils (1:2.6.4-3ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:10:14 +0000

nfs-utils (1:2.6.4-3ubuntu3) noble; urgency=medium

  * No-change rebuild against libtirpc3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 09:30:58 +0000

nfs-utils (1:2.6.4-3ubuntu2) noble; urgency=medium

  * d/p/armhf-time-t-format-error.patch: resolve armhf ftbfs due to
    time_t transition (LP: #2055349).

 -- Vladimir Petko <vladimir.petko@canonical.com>  Thu, 29 Feb 2024 10:52:10 +1300

nfs-utils (1:2.6.4-3ubuntu1) noble; urgency=medium

  * Merge with Debian unstable (LP: #2055100). Remaining changes:
    - d/control: don't provide libnfsidmap2 in libnfsidmap1. This
      package contains not only plugins, but an actual shared library,
      with a different soname.
    - Update README file:
      + d/README.Ubuntu: new /etc/nfs.conf config structure
      + d/libnfsidmap1.docs, d/nfs-common.docs: install README.Ubuntu
    - New apport hook (LP 1961058):
      + d/source.apport: apport hook for nfs-utils
      + d/control: build-depend dh-apport
      + d/rules: build with apport, and install the hook in the
        nfs-common package which is installed on both client and servers
    - Add more DEP8 tests (LP 1960828):
      + d/t/{control,kerberos-mount,util}: test NFSv4 krb5p mounts
      + d/t/{control, v3-mount}: specific NFSv3 mount test
    - Move the regex module to a separate binary package libnfsidmap-regex
      (LP 1974067):
      + d/control: new package, adjust breaks/conflicts
      + d/libnfsidmap-regex.install: install the plugin file
      + d/libnfsidmap1.install: don't install regex.so
        [missed in previous d/changelog]
      + d/p/ubuntu-idmapd-manpage-update-regex-other-package.patch:
        note that the regex plugin is in another package
    - rpc.svcgssd fixes and improvements (LP 1977745):
      + d/p/nfs-conf-manpage-missing-svcgssd-options.patch: also
        document the missing svcgssd options to the nfs.conf(5) manpage
    - d/not-installed: mark files we knowingly don't include in the
      packaging

 -- Vladimir Petko <vladimir.petko@canonical.com>  Tue, 27 Feb 2024 14:48:29 +1300

nfs-utils (1:2.6.4-3) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * fsidd: call anonymous sockets by their name only, don't fill with NULs to
    108 bytes (Closes: #1051132)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 03 Dec 2023 14:58:30 +0100

nfs-utils (1:2.6.4-2) unstable; urgency=medium

  * Built with enabled support for NFS junctions
    - Configure with --enable-junction to enable support for NFS junctions
    - debian/control: Add Build-Depends on libxml2-dev
  * nfs-kernel-server: Install nfsref utility and nfsref(8) manpage
    (Closes: #1055675)

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 23 Nov 2023 08:09:12 +0100

nfs-utils (1:2.6.4-1) unstable; urgency=medium

  * Upload to unstable

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 22 Nov 2023 07:15:57 +0100

nfs-utils (1:2.6.4-1~exp1) experimental; urgency=medium

  * New upstream version 2.6.4

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 21 Nov 2023 16:02:51 +0100

nfs-utils (1:2.6.3-4~exp1) experimental; urgency=medium

  * Remove extraneous words left behind by commit 522837f. (Closes: #1051088)
  * Install systemd units to /usr/lib/systemd/system
    - debian/rules: Drop explicit setting with path for Debian
      --with=systemd=/lib/systemd/system and install the systemd units by
      default in /usr/lib/systemd/system trough --with-systemd
    - debian/nfs-common.install: Install systemd units from
      /usr/lib/system/system
    - debian/nfs-kernel-server.install: Install systemd units from
      /usr/lib/system/system
    - debian/*.links: Create symlinks for systemd units from and to
      /usr/lib/systemd/system instead of /lib/systemd/system
  * debian/rules: Don't force nfsdcltrack and mount helpers into /sbin
  * nfs-common: Install {u,}mount.nfs{,4} into /usr/sbin
  * nfs-common: lintian-overides: Adjust paths after installation to /usr/sbin
  * nfs-kernel-server: Install nfsdcltrack to /usr/sbin
  * debian/rules: Update chmod call to fix permissions of /usr/sbin/mount.nfs
  * Install rpc.statd, sm-notify and showmount into /usr/sbin
    - Install binaries to default locations in /usr/sbin
    - Drop now oboslete patches to reference sm-notify from /sbin
    - Drop now obsolete patches to change ExecStart to start sm-notify and
      rpc.statd from /sbin

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 20 Nov 2023 22:13:01 +0100

nfs-utils (1:2.6.3-3ubuntu1) mantic; urgency=medium

  * Merge with Debian unstable (LP: #2030474). Remaining changes:
    - d/control: don't provide libnfsidmap2 in libnfsidmap1. This
      package contains not only plugins, but an actual shared library,
      with a different soname.
    - Update README file:
      + d/README.Ubuntu: new /etc/nfs.conf config structure
      + d/libnfsidmap1.docs, d/nfs-common.docs: install README.Ubuntu
    - New apport hook (LP #1961058):
      + d/source.apport: apport hook for nfs-utils
      + d/control: build-depend dh-apport
      + d/rules: build with apport, and install the hook in the
        nfs-common package which is installed on both client and servers
    - Add more DEP8 tests (LP #1960828):
      + d/t/{control,kerberos-mount,util}: test NFSv4 krb5p mounts
      + d/t/{control, v3-mount}: specific NFSv3 mount test
    - Move the regex module to a separate binary package libnfsidmap-regex
      (LP #1974067):
      + d/control: new package, adjust breaks/conflicts
      + d/libnfsidmap-regex.install: install the plugin file
      + d/libnfsidmap1.install: don't install regex.so
      + d/p/ubuntu-idmapd-manpage-update-regex-other-package.patch:
        note that the regex plugin is in another package
    - rpc.svcgssd fixes and improvements (LP #1977745):
      + d/p/nfs-conf-manpage-missing-svcgssd-options.patch: also
        document the missing svcgssd options to the nfs.conf(5) manpage
    - d/not-installed: mark files we knowingly don't include in the
      packaging
  * Dropped changes:
    - Rely on the generator units for the rpc_pipefs mount (LP #1971935):
      + d/p/always-run-generator.patch: run the generator even if the
        config differs from the built-in default
      + d/rules: exclude the units we will let the generator produce
      [Fixed in 1:2.6.3-1]

 -- Vladimir Petko <vladimir.petko@canonical.com>  Tue, 08 Aug 2023 09:54:52 +1200

nfs-utils (1:2.6.3-3) unstable; urgency=medium

  * nfs-idmapd.service: add network-online.target to Wants= and After=
    (Closes: #1035840)
  * libnfsidmap: try to get the domain directly from hostname if the DNS
    lookup fails and always show the log message if the domain can't be
    determined

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 01 Aug 2023 15:10:41 +0200

nfs-utils (1:2.6.3-2) unstable; urgency=medium

  * fsidd: provide better default socket name. (Closes: #1041147)
  * nfs-kernel-server: Handle leftover /fsid.sock socket

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 24 Jul 2023 11:01:42 +0200

nfs-utils (1:2.6.3-1) unstable; urgency=medium

  [ Andreas Hasenack ]
  * Rely on the generator units for the rpc_pipefs mount (Closes: #1014429)
    - d/p/always-run-generator.patch: run the generator even if the config
      differs from the built-in default
    - d/rules: exclude the units we will let the generator produce

  [ Ben Hutchings ]
  * Remove obsolete postinst upgrade logic and nfsconvert.py
  * init: Remove support for setting command-line options in /etc/default
  * d/salsa-ci.yml: Add shellcheck job
  * start-statd: Fix shellcheck warnings
  * init: Fix shellcheck warnings and info, thanks to наб (Closes: #1017869)
  * d/*.bug-script: Fix redundant use of cat noted by shellcheck

  [ Salvatore Bonaccorso ]
  * Upload to unstable

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 09 Jul 2023 10:34:04 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libnfsidmap1`.
